summaryrefslogtreecommitdiffstats
path: root/source/ap/ghostscript/ghostscript.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/ghostscript/ghostscript.SlackBuild')
-rwxr-xr-xsource/ap/ghostscript/ghostscript.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/ap/ghostscript/ghostscript.SlackBuild b/source/ap/ghostscript/ghostscript.SlackBuild
index 0e113a3a0..52d85b3d6 100755
--- a/source/ap/ghostscript/ghostscript.SlackBuild
+++ b/source/ap/ghostscript/ghostscript.SlackBuild
@@ -27,7 +27,7 @@ if [ -r gnu-ghostscript-*.tar.?z ]; then
SRCPREFIX="gnu-"
fi
VERSION=${VERSION:-$(echo $SRCPREFIX$PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -76,6 +76,9 @@ cd ${SRCPREFIX}${PKGNAM}-$VERSION || exit 1
# Remove unmaintained garbage:
rm -rf freetype jpeg lcms2 libpng libtiff png tiff zlib
+# Upstream patch to fix "Filter failed." issue:
+zcat $CWD/ghostscript.fix.filter.failed.bc3df077.patch.gz | patch -p1 --verbose || exit 1
+
# Regenerate ./configure. Needed if patched, or to prevent libtool mismatch.
autoreconf --force --install
( cd jbig2dec ; autoreconf --force --install )